Legacy (v0)
Delete addresses
Removes an address from the authenticated user’s saved addresses and returns the addresses that remain, as raw address records. Available to any authenticated company member (admin, rep or customer) and operates on the authenticated user’s own saved addresses.
DELETE
/
api
/
addresses
/
{id}
Delete addresses
curl --request DELETE \
--url https://api.fluid.app/api/addresses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/addresses/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 90612,
"name": "Holly Flax",
"first_name": null,
"last_name": null,
"address1": "44 Nashua Street",
"address2": null,
"address3": null,
"city": "Nashua",
"state": "NH",
"subdivision_code": "US-NH",
"postal_code": "03060",
"country_code": "US",
"country_id": 233,
"phone": "+16035550123",
"default": false,
"created_at": "2026-09-08T16:22:40.512Z",
"updated_at": "2026-09-08T16:22:40.512Z"
}
]{
"message": "<string>"
}Response
Success
⌘I
Delete addresses
curl --request DELETE \
--url https://api.fluid.app/api/addresses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/addresses/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 90612,
"name": "Holly Flax",
"first_name": null,
"last_name": null,
"address1": "44 Nashua Street",
"address2": null,
"address3": null,
"city": "Nashua",
"state": "NH",
"subdivision_code": "US-NH",
"postal_code": "03060",
"country_code": "US",
"country_id": 233,
"phone": "+16035550123",
"default": false,
"created_at": "2026-09-08T16:22:40.512Z",
"updated_at": "2026-09-08T16:22:40.512Z"
}
]{
"message": "<string>"
}